import { http } from "/@/utils/http";
import { loadEnv } from "@build/index";
const { VITE_PROXY_DOMAIN_REAL, VITE_PROXY_USER_REAL } = loadEnv();
const userAPi = VITE_PROXY_DOMAIN_REAL;
const yewuApi = VITE_PROXY_USER_REAL + "/admin/";

//标签列表
export const httpList = (data: object): any => {
  return http.request("post", `${yewuApi}taglist`, { data });
};

//标签新建
export const httpAdd = (data: object): any => {
  return http.request("post", `${yewuApi}tagadd`, {
    data
  });
};

//标签编辑
export const httpUpdate = (data: object): any => {
  return http.request("post", `${yewuApi}tagedit`, { data });
};

//标签编辑
export const httpStatus = (data: object): any => {
  return http.request("post", `${yewuApi}tagstatus`, { data });
};

//标签删除
export const httpDelete = (data: object): any => {
  return http.request("post", `${yewuApi}tagdel`, { data });
};

//单据添加标签
export const httpBillAddTag = (data: object): any => {
  return http.request("post", `${yewuApi}addtag`, { data });
};


export const httpUnTag = (data: object): any => {
  return http.request("post", `${yewuApi}TagGood/checkTag`, { data });
};
